Bug 285478 - Krita leaks memory on exit. (was: Krita 2.4 (b3): crash when closing Krita)
Summary: Krita leaks memory on exit. (was: Krita 2.4 (b3): crash when closing Krita)
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
: 285488 285491 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-11-01 14:53 UTC by Silvio Grosso
Modified: 2019-06-24 23:13 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Silvio Grosso 2011-11-01 14:53:17 UTC
Application: krita (2.4 Beta 3)
KDE Platform Version: 4.7.41 (4.7.41 (KDE 4.8 >= 20110807)
Qt Version: 4.7.1
Operating System: Linux 3.0.0-12-generic x86_64
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:
1. Open an image (e.g. png image);
2. Do something;
3. Don't save these changes;
4. Close Krita (without saving: ctr+s): Krita crashes!

-- Backtrace:
Application: Krita (krita), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fe9b8ff87a0 (LWP 5283))]

Thread 3 (Thread 0x7fe9a0188700 (LWP 5286)):
#0  0x00007fe9b146801e in pthread_mutex_lock () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fe9b0f76fcc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe9b0f77792 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe9a8a43516 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007fe9b0f9c2b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fe9b1465efc in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007fe9b87b389d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fe9860cf700 (LWP 5288)):
#0  0xffffffffff60014c in ?? ()
#1  0x00007fe9860cea70 in ?? ()
#2  0x00007fff901ff7e7 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 1 (Thread 0x7fe9b8ff87a0 (LWP 5283)):
[KCrash Handler]
#6  0x0000000000c590d0 in ?? ()
#7  0x00007fe991c21571 in ?? () from /usr/lib/libLLVM-2.8.so.1
#8  <signal handler called>
#9  0x00007fe9b87083a5 in raise () from /lib/x86_64-linux-gnu/libc.so.6
#10 0x00007fe9b870bb0b in abort () from /lib/x86_64-linux-gnu/libc.so.6
#11 0x00007fe9b629459f in qt_message_output (msgType=QtFatalMsg, buf=0x782fe8 "Leaks have been detected... fix krita.") at global/qglobal.cpp:2282
#12 0x00007fe9b6294735 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7fe99a307b90 "Leaks have been detected... fix krita.", ap=0x7fff901968a8) at global/qglobal.cpp:2328
#13 0x00007fe9b6294ec5 in qFatal (msg=0x7fe99a307b90 "Leaks have been detected... fix krita.") at global/qglobal.cpp:2511
#14 0x00007fe99a2574ed in KisMemoryLeakTracker::~KisMemoryLeakTracker (this=0xb980a0, __in_chrg=<optimized out>) at /build/buildd/project-neon-calligra-2+git20111031+r72750/krita/image/kis_memory_leak_tracker.cpp:135
#15 0x00007fe99a2572fd in destroy () at /build/buildd/project-neon-calligra-2+git20111031+r72750/krita/image/kis_memory_leak_tracker.cpp:45
#16 0x00007fe99a1720a3 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0x7fe99a5b5160, __in_chrg=<optimized out>) at /opt/project-neon/include/kglobal.h:62
#17 0x00007fe9b870d821 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#18 0x00007fe9b870d8a5 in exit () from /lib/x86_64-linux-gnu/libc.so.6
#19 0x00007fe9b86f3314 in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
#20 0x0000000000400689 in _start ()

Reported using DrKonqi
Comment 1 Halla Rempt 2011-11-04 19:59:13 UTC
*** Bug 285488 has been marked as a duplicate of this bug. ***
Comment 2 Halla Rempt 2011-11-04 19:59:20 UTC
*** Bug 285491 has been marked as a duplicate of this bug. ***
Comment 3 Halla Rempt 2011-11-04 20:04:08 UTC
Well, this is not a crash as such but a warning to the developers that we are leaking memory somewhere. If this happens, we need the output on the command line. For that you need to start krita from a terminal and print the final messages. We can use this bug to collect those leaks during bug day.
Comment 4 Cyrille Berger 2011-11-13 06:56:08 UTC
Also important is to know what you have been doing in Krita to trigger the memory leak.
Comment 5 Silvio Grosso 2011-11-21 21:24:39 UTC
UBUNTU 11.10 - 64 bit (Oneiric Ocelot) - UNITY SHELL
Kde 4.7.41
KRITA 2.4 - beta 4 (installed through ppa:neon/ppa)
OpenGl is disabled (Setting > Configures > Display)
Vbox 4.1.4 (Windows 7 as Host; Ubuntu is the guest)
My Distro is updated - upgraded daily (so it is the ppa:neon/ppa package)

I open a new image;
I insert a new text (through "add shape");
I get this "memory leak" when closing Krita without saving.

In short, soon after having closed Krita 2.4 (beta 4) Dr. Konqui starts

I have pasted below the last messages on my Ubuntu terminal:

kdeinit4: PID 1975 terminated.
krita(1952) TextTool::shapeAddedToCanvas:
krita(1952) TextTool::shapeAddedToCanvas:
krita(1952) TextTool::shapeAddedToCanvas:
krita(1952) TextTool::shapeAddedToCanvas:
kdeinit4: Got EXT_EXEC '/opt/project-neon/bin/knotify4' from launcher.
kdeinit4: preparing to launch /opt/project-neon/bin/knotify4
klauncher(1963)/kio (KLauncher) KLauncher::processRequestReturn: "/opt/project-neon/bin/knotify4" (pid 2043) up and running.
knotify(2044) NotifyByPopup::slotServiceOwnerChanged: "org.freedesktop.Notifications" "" "_"
knotify(2044)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/var/tmp/kdecache-silvio/ksycoca4"
knotify(2044) NotifyBySound::notify:  going to play  "/opt/project-neon/share/sounds/KDE-Sys-Warning.ogg"
WARNING: Disabling PulseAudio integration for lack of GLib event loop.
krita(1952)/kparts KParts::ReadWritePart::setModified: setModified( false )
knotify(2044) Phonon::KdePlatformPlugin::createBackend: using backend:  "GStreamer"
krita(1952) KoDocumentRdf::~KoDocumentRdf:
(Soprano::Redland::BackendPlugin) creating model of type "hashes" with options "hash-type='memory',contexts='yes'" 
krita(1952)/kotext TextShapeFactory::newDocumentResourceManager: No KUndo2Stack found in the document resource manager, creating a new one 
kded(1965)/phonon (kded module) PhononServer::findDevices: Solid offers 3 audio devices
kded(1965)/phonon (kded module) PhononServer::findDevices: Solid offers 0 video devices
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:05.0/sound/card0/pcmC0D0p:playback"
krita(1952)/kio (KDirListerCache) KDirListerCache::listDir: Entry in cache: KUrl("trash:/")
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:05.0/sound/card0/pcmC0D1c:capture"
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:05.0/sound/card0/pcmC0D0c:capture"
kded(1965)/phonon (kded module) PhononServer::findVirtualDevices: ("default" ("Playback/recording through the PulseAudio sound server"), "pulse" ("Playback/recording through the PulseAudio sound server"), "iec958:CARD=I82801AAICH,DEV=0" ("Intel 82801AA-ICH, Intel 82801AA-ICH
IEC958 (S/PDIF) Digital Audio Output"), "dmix:CARD=I82801AAICH,DEV=0" ("Intel 82801AA-ICH, Intel 82801AA-ICH
Direct sample mixing device"), "dmix:CARD=I82801AAICH,DEV=1" ("Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Direct sample mixing device"), "dsnoop:CARD=I82801AAICH,DEV=0" ("Intel 82801AA-ICH, Intel 82801AA-ICH
Direct sample snooping device"), "dsnoop:CARD=I82801AAICH,DEV=1" ("Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Direct sample snooping device"), "hw:CARD=I82801AAICH,DEV=0" ("Intel 82801AA-ICH, Intel 82801AA-ICH
Direct hardware device without any conversions"), "hw:CARD=I82801AAICH,DEV=1" ("Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Direct hardware device without any conversions"), "plughw:CARD=I82801AAICH,DEV=0" ("Intel 82801AA-ICH, Intel 82801AA-ICH
Hardware device with all software conversions"), "plughw:CARD=I82801AAICH,DEV=1" ("Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Hardware device with all software conversions"))
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x4d02360)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0xb6e4df0)
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Playback/recording through the PulseAudio sound server_playback"
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Playback/recording through the PulseAudio sound server_capture"
ALSA lib setup.c:565:(add_elem) Cannot obtain info for CTL elem (MIXER,'IEC958 Playback Default',0,0,0): File o directory non esistente
ALSA lib setup.c:565:(add_elem) Cannot obtain info for CTL elem (MIXER,'IEC958 Playback Default',0,0,0): File o directory non esistente
kded(1965)/phonon (kded module) PhononServer::findVirtualDevices: "iec958:CARD=I82801AAICH,DEV=0"  doesn't work.
ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports only playback stream
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH
Direct sample mixing device_playback"
ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports only playback stream
kded(1965)/phonon (kded module) PhononServer::findVirtualDevices: "dmix:CARD=I82801AAICH,DEV=1"  doesn't work.
ALSA lib pcm_dsnoop.c:551:(snd_pcm_dsnoop_open) The dsnoop plugin supports only capture stream
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH
Direct sample snooping device_capture"
ALSA lib pcm_dsnoop.c:551:(snd_pcm_dsnoop_open) The dsnoop plugin supports only capture stream
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Direct sample snooping device_capture"
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH
Direct hardware device without any conversions_playback"
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH
Direct hardware device without any conversions_capture"
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Direct hardware device without any conversions_capture"
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH
Hardware device with all software conversions_playback"
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH
Hardware device with all software conversions_capture"
kded(1965)/phonon (kded module) PS::DeviceInfo::applyHardwareDatabaseOverrides: looking for "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Hardware device with all software conversions_capture"
kded(1965)/phonon (kded module) PhononServer::findDevices: Audio Playback Devices: (
- "Intel 82801AA-ICH (Intel 82801AA-ICH)", icon: "audio-card"
    uniqueId: "/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:05.0/sound/card0/pcmC0D0p:playback", card: 0, device: 0
  index: -1, initialPreference: 36, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: x-phonon:CARD=0,DEV=0</li><li>ALSA: plughw:CARD=0,DEV=0</li></ol></html>"
  access: (deviceIds: ("x-phonon:CARD=0,DEV=0", "plughw:CARD=0,DEV=0") ; accessPreference:  11 ; driver type 1 ; driver "ALSA"  playback) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH (Hardware device with all software conversions)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH
Hardware device with all software conversions_playback", card: -1, device: -1
  index: -2, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: plughw:CARD=I82801AAICH,DEV=0</li></ol></html>"
  access: (deviceIds: ("plughw:CARD=I82801AAICH,DEV=0") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture playback) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH (Direct sample mixing device)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH
Direct sample mixing device_playback", card: -1, device: -1
  index: -3, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: dmix:CARD=I82801AAICH,DEV=0</li></ol></html>"
  access: (deviceIds: ("dmix:CARD=I82801AAICH,DEV=0") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  playback) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH (Direct hardware device without any conversions)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH
Direct hardware device without any conversions_playback", card: -1, device: -1
  index: -4, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: hw:CARD=I82801AAICH,DEV=0</li></ol></html>"
  access: (deviceIds: ("hw:CARD=I82801AAICH,DEV=0") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture playback) ,  
- "Playback/recording through the PulseAudio sound server", icon: "audio-card"
    uniqueId: "Playback/recording through the PulseAudio sound server_playback", card: -1, device: -1
  index: -5, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: default</li><li>ALSA: pulse</li></ol></html>"
  access: (deviceIds: ("default") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture playback, deviceIds: ("pulse") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture playback) )
kded(1965)/phonon (kded module) PhononServer::findDevices: Audio Capture Devices: (
- "Intel 82801AA-ICH (Intel 82801AA-ICH)", icon: "audio-card"
    uniqueId: "/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:05.0/sound/card0/pcmC0D0c:capture", card: 0, device: 0
  index: -6, initialPreference: 36, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: x-phonon:CARD=0,DEV=0</li><li>ALSA: plughw:CARD=0,DEV=0</li></ol></html>"
  access: (deviceIds: ("x-phonon:CARD=0,DEV=0", "plughw:CARD=0,DEV=0") ; accessPreference:  11 ; driver type 1 ; driver "ALSA"  capture) ,  
- "Intel 82801AA-ICH (Intel 82801AA-ICH - MIC ADC)", icon: "audio-card"
    uniqueId: "/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:05.0/sound/card0/pcmC0D1c:capture", card: 0, device: 1
  index: -7, initialPreference: 35, available: true, advanced: true, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: x-phonon:CARD=0,DEV=1</li><li>ALSA: plughw:CARD=0,DEV=1</li></ol></html>"
  access: (deviceIds: ("x-phonon:CARD=0,DEV=1", "plughw:CARD=0,DEV=1") ; accessPreference:  10 ; driver type 1 ; driver "ALSA"  capture) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH (Direct sample snooping device)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH
Direct sample snooping device_capture", card: -1, device: -1
  index: -8, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: dsnoop:CARD=I82801AAICH,DEV=0</li></ol></html>"
  access: (deviceIds: ("dsnoop:CARD=I82801AAICH,DEV=0") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC (Direct sample snooping device)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Direct sample snooping device_capture", card: -1, device: -1
  index: -9, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: dsnoop:CARD=I82801AAICH,DEV=1</li></ol></html>"
  access: (deviceIds: ("dsnoop:CARD=I82801AAICH,DEV=1") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH (Direct hardware device without any conversions)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH
Direct hardware device without any conversions_capture", card: -1, device: -1
  index: -10, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: hw:CARD=I82801AAICH,DEV=0</li></ol></html>"
  access: (deviceIds: ("hw:CARD=I82801AAICH,DEV=0") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture playback) ,  
- "Playback/recording through the PulseAudio sound server", icon: "audio-card"
    uniqueId: "Playback/recording through the PulseAudio sound server_capture", card: -1, device: -1
  index: -11, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: default</li><li>ALSA: pulse</li></ol></html>"
  access: (deviceIds: ("default") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture playback, deviceIds: ("pulse") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture playback) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH (Hardware device with all software conversions)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH
Hardware device with all software conversions_capture", card: -1, device: -1
  index: -12, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: plughw:CARD=I82801AAICH,DEV=0</li></ol></html>"
  access: (deviceIds: ("plughw:CARD=I82801AAICH,DEV=0") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture playback) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC (Direct hardware device without any conversions)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Direct hardware device without any conversions_capture", card: -1, device: -1
  index: -13, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: hw:CARD=I82801AAICH,DEV=1</li></ol></html>"
  access: (deviceIds: ("hw:CARD=I82801AAICH,DEV=1") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture) ,  
- "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC (Hardware device with all software conversions)", icon: "audio-card"
    uniqueId: "Intel 82801AA-ICH, Intel 82801AA-ICH - MIC ADC
Hardware device with all software conversions_capture", card: -1, device: -1
  index: -14, initialPreference: 30, available: true, advanced: false, DB name override: false
  description: "<html>This will try the following devices and use the first that works: <ol><li>ALSA: plughw:CARD=I82801AAICH,DEV=1</li></ol></html>"
  access: (deviceIds: ("plughw:CARD=I82801AAICH,DEV=1") ; accessPreference:  0 ; driver type 1 ; driver "ALSA"  capture) )
kded(1965)/phonon (kded module) PhononServer::findDevices: Video Capture Devices: ()
kded(1965) KDEDModule::setModuleName: registerObject() successful for  "phononserver"
kded(1965)/kded4 Kded::loadModule: Successfully loaded module "phononserver"
krita(1952)/kio (KDirListerCache) KDirListerCache::listDir: Entry already in use: KUrl("trash:/")
krita(1952)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0xb96d750)  url= KUrl("trash:/")
krita(1952)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///home/silvio/Scrivania/ch5_color_to_BW-Raw.jpeg")
krita(1952)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-silvio/kritajt1952.slave-socket"
klauncher(1963)/kio (KLauncher) KLauncher::requestSlave: KLauncher: launching new slave  "kio_file"  with protocol= "file"  args= ("file", "local:/tmp/ksocket-silvio/klauncherhX1963.slave-socket", "local:/tmp/ksocket-silvio/kritajt1952.slave-socket")
kdeinit4: Got EXEC_NEW 'kio_file' from launcher.
kdeinit4: preparing to launch /opt/project-neon/lib/kde4/kio_file.so
klauncher(1963)/kio (KLauncher) KLauncher::processRequestReturn: "kio_file" (pid 2055) up and running.
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x4d02360) KIO::Slave(0x48a5730)
kio_file(2055) kdemain: Starting 2055
knotify(2044) NotifyByPopup::notify: 2   active notifications: () ()
knotify(2044) NotifyByPopup::sendNotificationDBus: mapping knotify id to dbus id: 2 => 1
knotify(2044) KNotify::event: 2  ref= 1
Setting new source 
New source:  QUrl( "file:///opt/project-neon/share/sounds/KDE-Sys-Warning.ogg" )  
Transitioning to state "playing" 
State change 
Moving from "null" 0 to "ready" 1 
knotify(2044) NotifyByTaskbar::notify: 1 54545517
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x3404c6d
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x3404c6d
knotify(2044) KNotify::slotPluginFinished: 1  ref= 3
knotify(2044) KNotify::event: 1  ref= 1
kdeinit4: PID 2043 terminated.
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 18 (X_ChangeProperty)
  Resource id:  0x3404c6d
State change 
Stream changed to file:///opt/project-neon/share/sounds/KDE-Sys-Warning.ogg 
Moving from "ready" 1 to "paused" 4 
State change 
Moving from "paused" 4 to "playing" 2 
About to finish 
Got next source. Waiting for end of current. 
New source:  QUrl( "" )  
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0xb6e4df0) KIO::Slave(0x821e880)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0xba9a080)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0xba9a080) KIO::Slave(0x821e880)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x47dab60)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x47dab60) KIO::Slave(0x821e880)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x817c770)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x817c770) KIO::Slave(0x821e880)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7ffcab0)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x7ffcab0) KIO::Slave(0x821e880)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7722f40)
krita(1952)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x7722f40) KIO::Slave(0x821e880)
krita(1952)/kotext TextShapeFactory::newDocumentResourceManager: No KUndo2Stack found in the document resource manager, creating a new one 
krita(1952) KoDocumentInfo::aboutInfo: "comment page not found in documentInfo !" 
Finally got a source 
Transitioning to state "ready" 
State change 
Moving from "playing" 2 to "paused" 4 
State change 
Moving from "paused" 4 to "ready" 1 
knotify(2044) NotifyBySound::slotSoundFinished: 1
knotify(2044) KNotify::slotPluginFinished: 1  ref= 1
knotify(2044) KNotify::closeNotification: 1  ref= 0
krita(1952)/kdeui (KAction) KActionCollection::setComponentData: this does not work on a KActionCollection containing actions! 
X Error: BadAtom (invalid Atom parameter) 5
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x0
X Error: BadAtom (invalid Atom parameter) 5
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x0
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
X Error: BadAtom (invalid Atom parameter) 5
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x0
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = krita path = /opt/project-neon/bin pid = 1952
KCrash: Arguments: /opt/project-neon/bin/krita --nocrashhandler 
KCrash: Attempting to start /opt/project-neon/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/silvio/.project-neon-kde/socket-silvio-VirtualBox/kdeinit4__0
kdeinit4: Got EXEC_NEW '/opt/project-neon/lib/kde4/libexec/drkonqi' from wrapper.
kdeinit4: preparing to launch /opt/project-neon/lib/kde4/libexec/drkonqi
drkonqi(2069) SystemInformation::runLsbRelease: found lsb_release
drkonqi(2069) KCrashBackend::constructCrashedApplication: Using /proc to determine executable path
drkonqi(2069) KCrashBackend::constructCrashedApplication: Executable is: "/opt/project-neon/bin/krita"
drkonqi(2069) KCrashBackend::constructCrashedApplication: Executable exists: true
drkonqi(2069) DrKonqi::init: Enabling drkonqi crash catching
drkonqi(2069) KCrashBackend::stopAttachedProcess: Sending SIGSTOP to process

[1]+  Fermato                 /opt/project-neon/bin/krita
silvio@silvio-VirtualBox:~$ knotify(2044) NotifyByPopup::slotDBusNotificationClosed: 1   ->  2
knotify(2044) KNotify::slotPluginFinished: 2  ref= 1
knotify(2044) KNotify::closeNotification: 2  ref= 0
knotify(2044)/kdeui (KNotification) KNotificationManager::notificationClosed: 2
silvio@silvio-VirtualBox:~$ kio_file(2055) kdemain: Done
kdeinit4: PID 2055 terminated.
Comment 6 Silvio Grosso 2011-12-26 22:32:27 UTC
Maybe another memory leak (on Krita 2.4 beta 4 - Ubuntu 11.10)

To get it:
1. Open a new image (e.g. a Raw);
2. Apply a filter to this image;
3. Close Krita 2.4 beta 4 without saving any change.

[1] 4290
silvio@silvio-VirtualBox:~$ krita(4290)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/var/tmp/kdecache-silvio/ksycoca4"
krita(4290)/kdecore (KLibrary) kde4Factory: The library "/opt/project-neon/lib/kde4/stateshape.so" does not offer a qt_plugin_instance function.
krita(4290) KoGenericRegistry<T>::add: Registry already contains item "LABA" 
krita(4290) KoGenericRegistry<T>::add: Registry already contains item "RGBA16" 
krita(4290) KoGenericRegistry<T>::add: Registry already contains item "RGBA" 
krita(4290) KoGenericRegistry<T>::add: Registry already contains item "GRAYA16HISTO" 
krita(4290) KoGenericRegistry<T>::add: Registry already contains item "PanTool" 
krita(4290)/kdecore (KLibrary) kde4Factory: The library "/opt/project-neon/lib/kde4/kritahistorydocker.so" does not offer a qt_plugin_instance function.
(Soprano::Redland::BackendPlugin) creating model of type "hashes" with options "hash-type='memory',contexts='yes'" 
krita(4290)/kotext TextShapeFactory::newDocumentResourceManager: No KUndo2Stack found in the document resource manager, creating a new one 
krita(4290)/koffice (filter manager) KoFilterManager::filterAvailable: The library  ""  does not offer a check_ ""  function. 

krita(4290)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::instance: instance(): ... initialised
krita(4290)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readConfig: readConfig(): local zone= "Europe/Rome"
krita(4290)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readZoneTab: readZoneTab( "/usr/share/zoneinfo/zone.tab" )
krita(4290)/kio (bookmarks) KBookmarkManager::KBookmarkManager: starting KDirWatch for  "/home/silvio/.local/share/user-places.xbel"
krita(4290)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("trash:/")
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x4899070)
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "trash"
krita(4290)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 2 m_maxConnectionsPerHost: 2
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x3753c90)
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "file"
krita(4290)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 5 m_maxConnectionsPerHost: 5
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x47d0e70)
krita(4290)/kio (KDirListerCache) KDirListerCache::listDir: Entry currently being listed: KUrl("trash:/") by (KDirLister(0x489e100) )
krita(4290)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x484fcf0)  url= KUrl("trash:/")
krita(4290)/kio (Slave) KIO::Slave::createSlave: createSlave "trash" for KUrl("trash:/")
krita(4290)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-silviowTpYO9/kritaZK4290.slave-socket"
krita(4290)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///home/silvio")
krita(4290)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-silviowTpYO9/kritaVE4290.slave-socket"
krita(4290)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///home/silvio/Scrivania/krita_raw_nef.NEF")
krita(4290)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-silviowTpYO9/kritaaq4290.slave-socket"
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x3753c90) KIO::Slave(0x1022030)
krita(4290)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("file:///home/silvio")
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x49c0a70)
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::ListJob(0x4899070) KIO::Slave(0x48952c0)
krita(4290)/kio (KDirListerCache) KDirListerCache::slotResult: finished listing KUrl("trash:/")
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x47d0e70) KIO::Slave(0x4912190)
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x4917150)
krita(4290) KSambaSharePrivate::isSambaInstalled: Samba is not installed!
krita(4290) KSambaSharePrivate::isSambaInstalled: Samba is not installed!
krita(4290)/kio KNFSShare::KNFSSharePrivate::findExportsFile: Could not find exports file! /etc/exports doesn't exist. Configure it in share/config/knfsshare, [General], exportsFile=....
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::ListJob(0x49c0a70) KIO::Slave(0x1022030)
krita(4290)/kio (KDirListerCache) KDirListerCache::slotResult: finished listing KUrl("file:///home/silvio")
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x4917150) KIO::Slave(0x4912190)
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x48add00)
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x48add00) KIO::Slave(0x4912190)
krita(4290)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x3156c90)  url= KUrl("file:///home/silvio")
krita(4290)/kio (KDirListerCache) KDirListerCache::forgetDirs: KDirLister(0x3156c90) item moved into cache: KUrl("file:///home/silvio")
krita(4290)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("file:///home/silvio/Scrivania")
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x47fc3a0)
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::ListJob(0x47fc3a0) KIO::Slave(0x4912190)
krita(4290)/kio (KDirListerCache) KDirListerCache::slotResult: finished listing KUrl("file:///home/silvio/Scrivania")
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x49848f0)
krita(4290)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x49848f0) KIO::Slave(0x4912190)
krita(4290)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x3156c90)  url= KUrl("file:///home/silvio/Scrivania")
krita(4290)/KDCRAW KDcrawIface::KDcraw::loadFromLibraw: "/home/silvio/Scrivania/krita_raw_nef.NEF"
krita(4290)/KDCRAW KDcrawIface::KDcraw::loadFromLibraw:
-- RAW DECODING SETTINGS --------------------------------
-- autoBrightness:          true
-- sixteenBitsImage:        false
-- brightness:              1
-- RAWQuality:              0
-- inputColorSpace:         0
-- outputColorSpace:        1
-- RGBInterpolate4Colors:   false
-- DontStretchPixels:       false
-- unclipColors:            0
-- whiteBalance:            1
-- customWhiteBalance:      6500
-- customWhiteBalanceGreen: 1
-- halfSizeColorImage:      true
-- enableBlackPoint:        false
-- blackPoint:              0
-- enableWhitePoint:        false
-- whitePoint:              0
-- NoiseReductionType:      0
-- NoiseReductionThreshold: 0
-- enableCACorrection:      false
-- caMultiplier:            0, 0
-- medianFilterPasses:      0
-- inputProfile:            ""
-- outputProfile:           ""
-- deadPixelMap:            ""
-- whiteBalanceArea:        QRect(0,0 0x0)
-- dcbIterations:           -1
-- dcbEnhanceFl:            false
-- eeciRefine:              false
-- esMedPasses:             0
-- NRChrominaceThreshold:   0
-- expoCorrection:          false
-- expoCorrectionShift:     1
-- expoCorrectionHighlight: 0
---------------------------------------------------------

krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Reading metadata  pass  0  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Reading metadata  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Reading RAW data  pass  0  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Reading RAW data  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::loadFromLibraw: Disabling LibRaw highlights adjustments
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Scaling colors  pass  0  of  2
Scaling with darkness 0, saturation 4095, and
multipliers 1,839844 1,000000 1,386719 1,000000
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Scaling colors  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Pre-interpolating  pass  0  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Pre-interpolating  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Converting to RGB  pass  0  of  2
Converting to sRGB colorspace...
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Converting to RGB  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::loadFromLibraw: LibRaw: data info: width= 1950  height= 1307  rgbmax= 255
krita(4290)/KDCRAW KDcrawIface::KDcraw::loadFromLibraw: "/home/silvio/Scrivania/krita_raw_nef.NEF"
krita(4290)/KDCRAW KDcrawIface::KDcraw::loadFromLibraw:
-- RAW DECODING SETTINGS --------------------------------
-- autoBrightness:          true
-- sixteenBitsImage:        true
-- brightness:              1
-- RAWQuality:              0
-- inputColorSpace:         0
-- outputColorSpace:        1
-- RGBInterpolate4Colors:   false
-- DontStretchPixels:       false
-- unclipColors:            0
-- whiteBalance:            1
-- customWhiteBalance:      6500
-- customWhiteBalanceGreen: 1
-- halfSizeColorImage:      false
-- enableBlackPoint:        false
-- blackPoint:              0
-- enableWhitePoint:        false
-- whitePoint:              0
-- NoiseReductionType:      0
-- NoiseReductionThreshold: 0
-- enableCACorrection:      false
-- caMultiplier:            0, 0
-- medianFilterPasses:      0
-- inputProfile:            ""
-- outputProfile:           ""
-- deadPixelMap:            ""
-- whiteBalanceArea:        QRect(0,0 0x0)
-- dcbIterations:           -1
-- dcbEnhanceFl:            false
-- eeciRefine:              false
-- esMedPasses:             0
-- NRChrominaceThreshold:   0
-- expoCorrection:          false
-- expoCorrectionShift:     1
-- expoCorrectionHighlight: 0
---------------------------------------------------------

krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Reading metadata  pass  0  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Reading metadata  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Reading RAW data  pass  0  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Reading RAW data  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::loadFromLibraw: Disabling LibRaw highlights adjustments
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Scaling colors  pass  0  of  2
Scaling with darkness 0, saturation 4095, and
multipliers 1,839844 1,000000 1,386719 1,000000
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Scaling colors  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Pre-interpolating  pass  0  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Pre-interpolating  pass  1  of  2
Bilinear interpolation...
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Interpolating  pass  0  of  3
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Interpolating  pass  1  of  3
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Interpolating  pass  2  of  3
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Converting to RGB  pass  0  of  2
Converting to sRGB colorspace...
krita(4290)/KDCRAW KDcrawIface::KDcraw::KDcrawPriv::progressCallback: LibRaw progress:  Converting to RGB  pass  1  of  2
krita(4290)/KDCRAW KDcrawIface::KDcraw::loadFromLibraw: LibRaw: data info: width= 3900  height= 2613  rgbmax= 65535
krita(4290)/krita (tiles) KisMementoManager::commit: Named Transaction is empty 
krita(4290) KoResourceTagging::readXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::readXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::readXMLFile: The file could not be parsed. 
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
krita(4290) KoResourceTagging::readXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::readXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::readXMLFile: The file could not be parsed. 
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
krita(4290) KoResourceTagging::readXMLFile: The file could not be parsed. 
krita(4290)/kdeui (KAction) KActionCollection::setComponentData: this does not work on a KActionCollection containing actions! 
X Error: BadAtom (invalid Atom parameter) 5
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x0
X Error: BadAtom (invalid Atom parameter) 5
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x0
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
X Error: BadAtom (invalid Atom parameter) 5
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x0
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
krita(4290) KoResourceTagging::readXMLFile: The file could not be parsed. 
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
krita(4290) SpaceNavigatorDevice::start: starting spacenavigator device...
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
connect failed: File o directory non esistente
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
QObject::connect: Connecting from COMPAT signal (QAction::activated())
krita(4290) KoGenericRegistry<T>::add: Registry already contains item "reinhard05" 
krita(4290) KoGenericRegistry<T>::add: Registry already contains item "reinhard05" 
krita(4290) KoGenericRegistry<T>::add: Registry already contains item "reinhard05" 
QPainter::begin: Paint device returned engine == 0, type: 3
QPainter::setCompositionMode: Painter not active
QPainter::save: Painter not active
QPainter::setCompositionMode: Painter not active
QPainter::setRenderHint: Painter must be active to set rendering hints
QPainter::restore: Unbalanced save/restore
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
QObject::connect: Connecting from COMPAT signal (QLineEdit::lostFocus())
krita(4290)/kparts KParts::ReadWritePart::setModified: setModified( true )
krita(4290)/kparts KParts::ReadWritePart::setModified: setModified( false )
krita(4290)/kparts KParts::ReadOnlyPart::guiActivateEvent: KUrl("file:///home/silvio/Scrivania/krita_raw_nef.NEF")
krita(4290)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x3156c90)  url= KUrl("file:///home/silvio/Scrivania")
krita(4290)/kio (KDirListerCache) KDirListerCache::forgetDirs: KDirLister(0x3156c90) item moved into cache: KUrl("file:///home/silvio/Scrivania")
krita(4290)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x489e100)  url= KUrl("trash:/")
krita(4290)/kio (KDirListerCache) KDirListerCache::forgetDirs: KDirLister(0x489e100) item moved into cache: KUrl("trash:/")
QGridLayout: Multi-cell fromRow greater than toRow
krita(4290)/kparts KParts::ReadWritePart::setModified: setModified( true )
krita(4290)/kdeui (KNotification) KNotificationManager::close: 7
krita(4290)/kparts KParts::ReadWritePart::setModified: setModified( false )
krita(4290) KoDocumentRdf::~KoDocumentRdf:
krita(4290) KoResourceTagging::writeXMLFile: The file could not be parsed. 
krita(4290) SpaceNavigatorDevice::stop: stopping spacenavigator device...
krita(4290) KoResourceTagging::writeXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::writeXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::writeXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::writeXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::writeXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::writeXMLFile: The file could not be parsed. 
krita(4290) KoResourceTagging::writeXMLFile: The file could not be parsed. 
CRITICAL: According to statistics of the KisTileDataStore some tiles have leaked from the Krita control! 
CRITICAL: Tiles in memory: 2502 Total tiles: 2502 
krita(4290)/kio (Slave) KIO::Slave::kill: killing slave pid 4295 ( "trash://" )
krita(4290)/kio (Slave) KIO::Slave::kill: killing slave pid 4297 ( "file://" )
krita(4290)/kio (Slave) KIO::Slave::kill: killing slave pid 4296 ( "file://" )
krita(4290)/krita (general): **************************************** 
krita(4290)/krita (general): 3  leaks have been detected 
krita(4290)/krita (general): Object  0x0 ( "PK12KisGenerator" ) is still referenced by  1  objects: 
krita(4290)/krita (general): Referenced by  0x4c4a330  at: 
krita(4290)/krita (general): Enable backtrace support by running 'cmake -DHAVE_BACKTRACE_SUPPORT=ON' 
krita(4290)/krita (general): ===== 
krita(4290)/krita (general): Object  0x4c43000 ( "PK14KisPaintDevice" ) is still referenced by  1  objects: 
krita(4290)/krita (general): Referenced by  0x482af78  at: 
krita(4290)/krita (general): Enable backtrace support by running 'cmake -DHAVE_BACKTRACE_SUPPORT=ON' 
krita(4290)/krita (general): ===== 
krita(4290)/krita (general): Object  0x4c4a050 ( "PK14KisDataManager" ) is still referenced by  1  objects: 
krita(4290)/krita (general): Referenced by  0x4c43020  at: 
krita(4290)/krita (general): Enable backtrace support by running 'cmake -DHAVE_BACKTRACE_SUPPORT=ON' 
krita(4290)/krita (general): ===== 
krita(4290)/krita (general): **************************************** 
Leaks have been detected... fix krita.
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = krita path = /opt/project-neon/bin pid = 4290
KCrash: Arguments: /opt/project-neon/bin/krita --nocrashhandler 
KCrash: Attempting to start /opt/project-neon/lib/kde4/libexec/drkonqi from kdeinit
QSocketNotifier: Invalid socket 23 and type 'Read', disabling...
Comment 7 Sven Langkamp 2011-12-28 16:02:09 UTC
Git commit 3b724fa33a234121cf29e5b54129ce4623016da8 by Sven Langkamp.
Committed on 28/12/2011 at 16:16.
Pushed by langkamp into branch 'master'.

fixed memory leak

M  +5    -0    krita/plugins/filters/colorsfilters/kis_perchannel_filter.cpp
M  +1    -1    krita/plugins/filters/colorsfilters/kis_perchannel_filter.h

http://commits.kde.org/calligra/3b724fa33a234121cf29e5b54129ce4623016da8
Comment 8 Sven Langkamp 2011-12-28 16:11:22 UTC
Still leaks when Krita is closed while a filter is running:

CRITICAL: According to statistics of the KisTileDataStore some tiles have leaked from the Krita control! 
CRITICAL: Tiles in memory: 1702 Total tiles: 1702 
krita(31498)/krita (general): **************************************** 
krita(31498)/krita (general): 8  leaks have been detected 
krita(31498)/krita (general): Object  0x0 ( "PK12KisGenerator" ) is still referenced by  2  objects: 
krita(31498)/krita (general): Referenced by  0x6ef7f68  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI13KisEffectMaskEEvPKT_PKv+0x3a) [0x7fbf3216edac] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x16230f) [0x7fbf31ce630f] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x161eb4) [0x7fbf31ce5eb4] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x16132d) [0x7fbf31ce532d] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN8KisLayer17removePreviewMaskEv+0x25) [0x7fbf31ce2ac7] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x10e916) [0x7fbf3216b916] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x10f151) [0x7fbf3216c151] 
krita(31498)/krita (general): /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x278) [0x7fbf32eff5f8] 
krita(31498)/krita (general): /usr/lib/libQtGui.so.4(_ZN7QDialog8finishedEi+0x2e) [0x7fbf2c0245fe] 
krita(31498)/krita (general): Referenced by  0x6ef7f80  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI14KisPaintDeviceEEvPKT_PKv+0x3a) [0x7fbf321668f6] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc22df) [0x7fbf31c462df] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc10c8) [0x7fbf31c450c8] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc0921) [0x7fbf31c44921] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x15ff0f) [0x7fbf31ce3f0f] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN8KisLayer16updateProjectionERK5QRect+0x140) [0x7fbf31ce211a] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisAsyncMerger10startMergeER18KisBaseRectsWalkerb+0x40d) [0x7fbf31cb43e5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x85280) [0x7fbf31c09280] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x850b4) [0x7fbf31c090b4] 
krita(31498)/krita (general): ===== 
krita(31498)/krita (general): Object  0x7fbeecdecc70 ( "PK19KisTiledDataManager" ) is still referenced by  1  objects: 
krita(31498)/krita (general): Referenced by  0x7fbef4624220  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceI14KisDataManagerEEvPKT_PKv+0x3a) [0x7fbf31d08a7c] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x183e42) [0x7fbf31d07e42] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x182f1e) [0x7fbf31d06f1e] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x182041) [0x7fbf31d06041] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisPaintDeviceC1ERKS_+0x225) [0x7fbf31cfd125] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x15fd4f) [0x7fbf31ce3d4f] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZNK8KisLayer10projectionEv+0x9d) [0x7fbf31ce2477] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZNK13KisGroupLayer14tryObligeChildEv+0xd9) [0x7fbf31cc87cb] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZNK13KisGroupLayer8originalEv+0x25) [0x7fbf31cc89b5] 
krita(31498)/krita (general): ===== 
krita(31498)/krita (general): Object  0x6e90980 ( "PK10KisMemento" ) is still referenced by  2  objects: 
krita(31498)/krita (general): Referenced by  0x632aef8  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceI10KisMementoEEvPKT_PKv+0x3a) [0x7fbf31c1fcb0] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x9b643) [0x7fbf31c1f643] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x9a21e) [0x7fbf31c1e21e] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x1ac3ae) [0x7fbf31d303ae] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN18KisTransactionDataC2ERK7QString12KisSharedPtrI14KisPaintDeviceEP13KUndo2Command+0xea) [0x7fbf31d2f5ba] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x196904) [0x7fbf321f3904] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x194b7f) [0x7fbf321f1b7f] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x1957d4) [0x7fbf321f27d4] 
krita(31498)/krita (general): /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x278) [0x7fbf32eff5f8] 
krita(31498)/krita (general): Referenced by  0x6ef8cd0  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceI10KisMementoEEvPKT_PKv+0x3a) [0x7fbf31c1fcb0] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x9b643) [0x7fbf31c1f643] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x9a21e) [0x7fbf31c1e21e] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x988f3) [0x7fbf31c1c8f3] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN17KisMementoManager10getMementoEv+0xe7) [0x7fbf31c19ac9] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x1abff3) [0x7fbf31d2fff3] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x1ac23e) [0x7fbf31d3023e] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN18KisTransactionDataC2ERK7QString12KisSharedPtrI14KisPaintDeviceEP13KUndo2Command+0xcf) [0x7fbf31d2f59f] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x196904) [0x7fbf321f3904] 
krita(31498)/krita (general): ===== 
krita(31498)/krita (general): Object  0x6ef86c0 ( "PK20KisDefaultBoundsBase" ) is still referenced by  2  objects: 
krita(31498)/krita (general): Referenced by  0x7fbef4633e30  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI20KisDefaultBoundsBaseEEvPKT_PKv+0x3a) [0x7fbf322a71fa] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xfc1d7) [0x7fbf31c801d7] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x183816) [0x7fbf31d07816] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x18212a) [0x7fbf31d0612a] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisPaintDevice16setDefaultBoundsE12KisSharedPtrI20KisDefaultBoundsBaseE+0x2b) [0x7fbf31cfda6b] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisPaintDeviceC1ERKS_+0x27e) [0x7fbf31cfd17e] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x15fd4f) [0x7fbf31ce3d4f] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZNK8KisLayer10projectionEv+0x9d) [0x7fbf31ce2477] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZNK13KisGroupLayer14tryObligeChildEv+0xd9) [0x7fbf31cc87cb] 
krita(31498)/krita (general): Referenced by  0x466b590  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI20KisDefaultBoundsBaseEEvPKT_PKv+0x3a) [0x7fbf322a71fa] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xfc1d7) [0x7fbf31c801d7] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x183816) [0x7fbf31d07816] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x18212a) [0x7fbf31d0612a] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisPaintDevice16setDefaultBoundsE12KisSharedPtrI20KisDefaultBoundsBaseE+0x2b) [0x7fbf31cfda6b] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisPaintDevice4initE12KisSharedPtrI14KisDataManagerEPK12KoColorSpaceS0_I20KisDefaultBoundsBaseE16KisWeakSharedPtrI7KisNodeERK7QString+0x353) [0x7fbf31cfce19] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisPaintDeviceC2E16KisWeakSharedPtrI7KisNodeEPK12KoColorSpace12KisSharedPtrI20KisDefaultBoundsBaseERK7QString+0xe7) [0x7fbf31cfc87d] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN13KisPaintLayerC1E16KisWeakSharedPtrI8KisImageERK7QStringh+0x225) [0x7fbf31d0c1c1] 
krita(31498)/krita (general): /home/sven/kde/lib/kde4/kritatiffimport.so(+0x92bc) [0x7fbef27fd2bc] 
krita(31498)/krita (general): ===== 
krita(31498)/krita (general): Object  0x4621cd0 ( "PK14KisPaintDevice" ) is still referenced by  3  objects: 
krita(31498)/krita (general): Referenced by  0x632aef0  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI14KisPaintDeviceEEvPKT_PKv+0x3a) [0x7fbf321668f6] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc22df) [0x7fbf31c462df] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc10c8) [0x7fbf31c450c8] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xbfc5c) [0x7fbf31c43c5c] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN18KisTransactionDataC2ERK7QString12KisSharedPtrI14KisPaintDeviceEP13KUndo2Command+0x93) [0x7fbf31d2f563] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x196904) [0x7fbf321f3904] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x194b7f) [0x7fbf321f1b7f] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x1957d4) [0x7fbf321f27d4] 
krita(31498)/krita (general): /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x278) [0x7fbf32eff5f8] 
krita(31498)/krita (general): Referenced by  0x6e90c10  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI14KisPaintDeviceEEvPKT_PKv+0x3a) [0x7fbf321668f6] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc22df) [0x7fbf31c462df] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc10c8) [0x7fbf31c450c8] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xbfc5c) [0x7fbf31c43c5c] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN21KisThreadedApplicatorC2E12KisSharedPtrI14KisPaintDeviceERK5QRectP13KisJobFactoryP17KoProgressUpdaterNS_14ApplicatorModeE+0x96) [0x7fbf31d2e682] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x194db9) [0x7fbf321f1db9] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x1957d4) [0x7fbf321f27d4] 
krita(31498)/krita (general): /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x278) [0x7fbf32eff5f8] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x10f22d) [0x7fbf3216c22d] 
krita(31498)/krita (general): Referenced by  0x6c3c9e0  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI14KisPaintDeviceEEvPKT_PKv+0x3a) [0x7fbf321668f6] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc22df) [0x7fbf31c462df] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc10c8) [0x7fbf31c450c8] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc0921) [0x7fbf31c44921] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN13KisPaintLayerC1E16KisWeakSharedPtrI8KisImageERK7QStringh+0x23e) [0x7fbf31d0c1da] 
krita(31498)/krita (general): /home/sven/kde/lib/kde4/kritatiffimport.so(+0x92bc) [0x7fbef27fd2bc] 
krita(31498)/krita (general): /home/sven/kde/lib/kde4/kritatiffimport.so(+0x7979) [0x7fbef27fb979] 
krita(31498)/krita (general): /home/sven/kde/lib/kde4/kritatiffimport.so(+0xae93) [0x7fbef27fee93] 
krita(31498)/krita (general): /home/sven/kde/lib/kde4/kritatiffimport.so(+0x14599) [0x7fbef2808599] 
krita(31498)/krita (general): ===== 
krita(31498)/krita (general): Object  0x6c928e0 ( "PK19KisTiledDataManager" ) is still referenced by  1  objects: 
krita(31498)/krita (general): Referenced by  0x4621cf0  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceI14KisDataManagerEEvPKT_PKv+0x3a) [0x7fbf31d08a7c] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x183e42) [0x7fbf31d07e42] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x182f1e) [0x7fbf31d06f1e] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x182041) [0x7fbf31d06041] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisPaintDevice4initE12KisSharedPtrI14KisDataManagerEPK12KoColorSpaceS0_I20KisDefaultBoundsBaseE16KisWeakSharedPtrI7KisNodeERK7QString+0x2cd) [0x7fbf31cfcd93] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN14KisPaintDeviceC2E16KisWeakSharedPtrI7KisNodeEPK12KoColorSpace12KisSharedPtrI20KisDefaultBoundsBaseERK7QString+0xe7) [0x7fbf31cfc87d] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN13KisPaintLayerC1E16KisWeakSharedPtrI8KisImageERK7QStringh+0x225) [0x7fbf31d0c1c1] 
krita(31498)/krita (general): /home/sven/kde/lib/kde4/kritatiffimport.so(+0x92bc) [0x7fbef27fd2bc] 
krita(31498)/krita (general): /home/sven/kde/lib/kde4/kritatiffimport.so(+0x7979) [0x7fbef27fb979] 
krita(31498)/krita (general): ===== 
krita(31498)/krita (general): Object  0x6bc8eb0 ( "PK7KisNode" ) is still referenced by  1  objects: 
krita(31498)/krita (general): Referenced by  0x8b64d90  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI11KisBaseNodeEEvPKT_PKv+0x3a) [0x7fbf321f42de] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x197209) [0x7fbf321f4209] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x1971a2) [0x7fbf321f41a2] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x196f24) [0x7fbf321f3f24] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x196ba4) [0x7fbf321f3ba4] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x19489f) [0x7fbf321f189f] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x1957d4) [0x7fbf321f27d4] 
krita(31498)/krita (general): /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x278) [0x7fbf32eff5f8] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(+0x10f22d) [0x7fbf3216c22d] 
krita(31498)/krita (general): ===== 
krita(31498)/krita (general): Object  0x7fbef4624200 ( "PK14KisPaintDevice" ) is still referenced by  1  objects: 
krita(31498)/krita (general): Referenced by  0x6ef7f88  at: 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZN20KisMemoryLeakTracker9referenceEPKvS1_PKc+0xcf) [0x7fbf31cf4eb5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaui.so.9(_ZN20KisMemoryLeakTracker9referenceI14KisPaintDeviceEEvPKT_PKv+0x3a) [0x7fbf321668f6] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc22df) [0x7fbf31c462df] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc10c8) [0x7fbf31c450c8] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0xc0921) [0x7fbf31c44921] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x15fd65) [0x7fbf31ce3d65] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZNK8KisLayer10projectionEv+0x9d) [0x7fbf31ce2477] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZNK13KisGroupLayer14tryObligeChildEv+0xd9) [0x7fbf31cc87cb] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(_ZNK13KisGroupLayer8originalEv+0x25) [0x7fbf31cc89b5] 
krita(31498)/krita (general): /home/sven/kde/lib/libkritaimage.so.9(+0x1349ca) [0x7fbf31cb89ca] 
krita(31498)/krita (general): ===== 
krita(31498)/krita (general): **************************************** 
Leaks have been detected... fix krita.
Aborted
Comment 9 Halla Rempt 2012-06-28 13:32:46 UTC
Sven, do you mean a file filter or a pixel filter? I tried with pixelize, but got no leak.
Comment 10 Halla Rempt 2013-09-25 14:30:33 UTC
Filters has been ported to strokes, so don't leak on exit anymore. If we find new leaks, we need new bug reports.